package com.fjhx.mail.service.my;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.my.dto.MyTagDto;
import com.fjhx.mail.entity.my.dto.MyTagSelectDto;
import com.fjhx.mail.entity.my.po.MyTag;
import com.fjhx.mail.entity.my.vo.MyTagVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 我的标签 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-29
 */
public interface MyTagService extends BaseService<MyTag> {

    /**
     * 我的标签分页
     */
    Page<MyTagVo> getPage(MyTagSelectDto dto);

    /**
     * 我的标签明细
     */
    MyTagVo detail(Long id);

    /**
     * 我的标签新增
     */
    void add(MyTagDto myTagDto);

    /**
     * 我的标签编辑
     */
    void edit(MyTagDto myTagDto);

    /**
     * 我的标签删除
     */
    void delete(Long id);

    /**
     * 获取邮件标签
     */
    List<MyTag> getListByMessageId(Long id);

}
